## org.eclipse.xsd.impl
Class XSDFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.xsd.impl.XSDFactoryImpl

All Implemented Interfaces:
  Notifier, EFactory, EModelElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, XSDFactory

    public class XSDFactoryImpl

extends EFactoryImpl
implements XSDFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.xsd.XSDFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`XSDFactoryImpl()` Creates an instance of the factory

Method Summary
`java.lang.String` `convertDOMAttrToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertDOMDocumentToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertDOMElementToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertDOMNodeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertValueToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDAttributeUseCategoryToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDCardinalityToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDComplexFinalToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDCompositorToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDConstraintToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDContentTypeCategoryToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDDerivationMethodToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDDiagnosticSeverityToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDDisallowedSubstitutionsToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDFormToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDIdentityConstraintCategoryToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDNamespaceConstraintCategoryToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDOrderedToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDProcessContentsToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDProhibitedSubstitutionsToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDSimpleFinalToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDSubstitutionGroupExclusionsToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDVarietyToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDWhiteSpaceToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertXSDXPathVarietyToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)`
`org.w3c.dom.Attr` `createDOMAttrFromString(EDataType eDataType, java.lang.String initialValue)`
`org.w3c.dom.Document` `createDOMDocumentFromString(EDataType eDataType, java.lang.String initialValue)`
`org.w3c.dom.Element` `createDOMElementFromString(EDataType eDataType, java.lang.String initialValue)`
`org.w3c.dom.Node` `createDOMNodeFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Object` `createValueFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDAnnotation` `createXSDAnnotation()`
`XSDAttributeDeclaration` `createXSDAttributeDeclaration()`
`XSDAttributeGroupDefinition` `createXSDAttributeGroupDefinition()`
`XSDAttributeUse` `createXSDAttributeUse()`
`XSDAttributeUseCategory` `createXSDAttributeUseCategoryFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDBoundedFacet` `createXSDBoundedFacet()`
`XSDCardinalityFacet` `createXSDCardinalityFacet()`
`XSDCardinality` `createXSDCardinalityFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDComplexFinal` `createXSDComplexFinalFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDComplexTypeDefinition` `createXSDComplexTypeDefinition()`
`XSDCompositor` `createXSDCompositorFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDConstraint` `createXSDConstraintFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDContentTypeCategory` `createXSDContentTypeCategoryFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDDerivationMethod` `createXSDDerivationMethodFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDDiagnostic` `createXSDDiagnostic()`
`XSDDiagnosticSeverity` `createXSDDiagnosticSeverityFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDDisallowedSubstitutions` `createXSDDisallowedSubstitutionsFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDElementDeclaration` `createXSDElementDeclaration()`
`XSDEnumerationFacet` `createXSDEnumerationFacet()`
`XSDForm` `createXSDFormFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDFractionDigitsFacet` `createXSDFractionDigitsFacet()`
`XSDIdentityConstraintCategory` `createXSDIdentityConstraintCategoryFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDIdentityConstraintDefinition` `createXSDIdentityConstraintDefinition()`
`XSDImport` `createXSDImport()`
`XSDInclude` `createXSDInclude()`
`XSDLengthFacet` `createXSDLengthFacet()`
`XSDMaxExclusiveFacet` `createXSDMaxExclusiveFacet()`
`XSDMaxInclusiveFacet` `createXSDMaxInclusiveFacet()`
`XSDMaxLengthFacet` `createXSDMaxLengthFacet()`
`XSDMinExclusiveFacet` `createXSDMinExclusiveFacet()`
`XSDMinInclusiveFacet` `createXSDMinInclusiveFacet()`
`XSDMinLengthFacet` `createXSDMinLengthFacet()`
`XSDModelGroup` `createXSDModelGroup()`
`XSDModelGroupDefinition` `createXSDModelGroupDefinition()`
`XSDNamespaceConstraintCategory` `createXSDNamespaceConstraintCategoryFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDNotationDeclaration` `createXSDNotationDeclaration()`
`XSDNumericFacet` `createXSDNumericFacet()`
`XSDOrderedFacet` `createXSDOrderedFacet()`
`XSDOrdered` `createXSDOrderedFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDParticle` `createXSDParticle()`
`XSDPatternFacet` `createXSDPatternFacet()`
`XSDProcessContents` `createXSDProcessContentsFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDProhibitedSubstitutions` `createXSDProhibitedSubstitutionsFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDRedefine` `createXSDRedefine()`
`XSDSchema` `createXSDSchema()`
`XSDSimpleFinal` `createXSDSimpleFinalFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDSimpleTypeDefinition` `createXSDSimpleTypeDefinition()`
`XSDSubstitutionGroupExclusions` `createXSDSubstitutionGroupExclusionsFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDTotalDigitsFacet` `createXSDTotalDigitsFacet()`
`XSDVariety` `createXSDVarietyFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDWhiteSpaceFacet` `createXSDWhiteSpaceFacet()`
`XSDWhiteSpace` `createXSDWhiteSpaceFromString(EDataType eDataType, java.lang.String initialValue)`
`XSDWildcard` `createXSDWildcard()`
`XSDXPathDefinition` `createXSDXPathDefinition()`
`XSDXPathVariety` `createXSDXPathVarietyFromString(EDataType eDataType, java.lang.String initialValue)`
`static XSDPackage` `getPackage()` Deprecated.
`XSDPackage` `getXSDPackage()`
`static XSDFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### XSDFactoryImpl

    public XSDFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static XSDFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

  Specified by:
    `create` in interface `EFactory`
  Overrides:
    `create` in class `EFactoryImpl`

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `EFactory`
  Overrides:
    `createFromString` in class `EFactoryImpl`

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `EFactory`
  Overrides:
    `convertToString` in class `EFactoryImpl`

### createXSDAnnotation

    public XSDAnnotation createXSDAnnotation()

  Specified by:
    `createXSDAnnotation` in interface `XSDFactory`
  Returns:
    a new object of class 'Annotation'.

### createXSDAttributeDeclaration

    public XSDAttributeDeclaration createXSDAttributeDeclaration()

  Specified by:
    `createXSDAttributeDeclaration` in interface `XSDFactory`
  Returns:
    a new object of class 'Attribute Declaration'.

### createXSDAttributeGroupDefinition

    public XSDAttributeGroupDefinition createXSDAttributeGroupDefinition()

  Specified by:
    `createXSDAttributeGroupDefinition` in interface `XSDFactory`
  Returns:
    a new object of class 'Attribute Group Definition'.

### createXSDAttributeUse

    public XSDAttributeUse createXSDAttributeUse()

  Specified by:
    `createXSDAttributeUse` in interface `XSDFactory`
  Returns:
    a new object of class 'Attribute Use'.

### createXSDBoundedFacet

    public XSDBoundedFacet createXSDBoundedFacet()

  Specified by:
    `createXSDBoundedFacet` in interface `XSDFactory`
  Returns:
    a new object of class 'Bounded Facet'.

### createXSDCardinalityFacet

    public XSDCardinalityFacet createXSDCardinalityFacet()

  Specified by:
    `createXSDCardinalityFacet` in interface `XSDFactory`
  Returns:
    a new object of class 'Cardinality Facet'.

### createXSDComplexTypeDefinition

    public XSDComplexTypeDefinition createXSDComplexTypeDefinition()

  Specified by:
    `createXSDComplexTypeDefinition` in interface `XSDFactory`
  Returns:
    a new object of class 'Complex Type Definition'.

### createXSDDiagnostic

    public XSDDiagnostic createXSDDiagnostic()

  Specified by:
    `createXSDDiagnostic` in interface `XSDFactory`
  Returns:
    a new object of class 'Diagnostic'.

### createXSDElementDeclaration

    public XSDElementDeclaration createXSDElementDeclaration()

  Specified by:
    `createXSDElementDeclaration` in interface `XSDFactory`
  Returns:
    a new object of class 'Element Declaration'.

### createXSDEnumerationFacet

    public XSDEnumerationFacet createXSDEnumerationFacet()

  Specified by:
    `createXSDEnumerationFacet` in interface `XSDFactory`
  Returns:
    a new object of class 'Enumeration Facet'.

### createXSDFractionDigitsFacet

    public XSDFractionDigitsFacet createXSDFractionDigitsFacet()

  Specified by:
    `createXSDFractionDigitsFacet` in interface `XSDFactory`
  Returns:
    a new object of class 'Fraction Digits Facet'.

### createXSDIdentityConstraintDefinition

    public XSDIdentityConstraintDefinition createXSDIdentityConstraintDefinition()

  Specified by:
    `createXSDIdentityConstraintDefinition` in interface `XSDFactory`
  Returns:
    a new object of class 'Identity Constraint Definition'.

### createXSDImport

    public XSDImport createXSDImport()

  Specified by:
    `createXSDImport` in interface `XSDFactory`
  Returns:
    a new object of class 'Import'.

### createXSDInclude

    public XSDInclude createXSDInclude()

  Specified by:
    `createXSDInclude` in interface `XSDFactory`
  Returns:
    a new object of class 'Include'.

### createXSDLengthFacet

    public XSDLengthFacet createXSDLengthFacet()

  Specified by:
    `createXSDLengthFacet` in interface `XSDFactory`
  Returns:
    a new object of class 'Length Facet'.

### createXSDMaxExclusiveFacet

    public XSDMaxExclusiveFacet createXSDMaxExclusiveFacet()

  Specified by:
    `createXSDMaxExclusiveFacet` in interface `XSDFactory`
  Returns:
    a new object of class 'Max Exclusive Facet'.

### createXSDMaxInclusiveFacet

    public XSDMaxInclusiveFacet createXSDMaxInclusiveFacet()

  Specified by:
    `createXSDMaxInclusiveFacet` in interface `XSDFactory`
  Returns:
    a new object of class 'Max Inclusive Facet'.

### createXSDMaxLengthFacet

    public XSDMaxLengthFacet createXSDMaxLengthFacet()

  Specified by:
    `createXSDMaxLengthFacet` in interface `XSDFactory`
  Returns:
    a new object of class 'Max Length Facet'.

### createXSDMinExclusiveFacet

    public XSDMinExclusiveFacet createXSDMinExclusiveFacet()

  Specified by:
    `createXSDMinExclusiveFacet` in interface `XSDFactory`
  Returns:
    a new object of class 'Min Exclusive Facet'.

### createXSDMinInclusiveFacet

    public XSDMinInclusiveFacet createXSDMinInclusiveFacet()

  Specified by:
    `createXSDMinInclusiveFacet` in interface `XSDFactory`
  Returns:
    a new object of class 'Min Inclusive Facet'.

### createXSDMinLengthFacet

    public XSDMinLengthFacet createXSDMinLengthFacet()

  Specified by:
    `createXSDMinLengthFacet` in interface `XSDFactory`
  Returns:
    a new object of class 'Min Length Facet'.

### createXSDModelGroup

    public XSDModelGroup createXSDModelGroup()

  Specified by:
    `createXSDModelGroup` in interface `XSDFactory`
  Returns:
    a new object of class 'Model Group'.

### createXSDModelGroupDefinition

    public XSDModelGroupDefinition createXSDModelGroupDefinition()

  Specified by:
    `createXSDModelGroupDefinition` in interface `XSDFactory`
  Returns:
    a new object of class 'Model Group Definition'.

### createXSDNotationDeclaration

    public XSDNotationDeclaration createXSDNotationDeclaration()

  Specified by:
    `createXSDNotationDeclaration` in interface `XSDFactory`
  Returns:
    a new object of class 'Notation Declaration'.

### createXSDNumericFacet

    public XSDNumericFacet createXSDNumericFacet()

  Specified by:
    `createXSDNumericFacet` in interface `XSDFactory`
  Returns:
    a new object of class 'Numeric Facet'.

### createXSDOrderedFacet

    public XSDOrderedFacet createXSDOrderedFacet()

  Specified by:
    `createXSDOrderedFacet` in interface `XSDFactory`
  Returns:
    a new object of class 'Ordered Facet'.

### createXSDParticle

    public XSDParticle createXSDParticle()

  Specified by:
    `createXSDParticle` in interface `XSDFactory`
  Returns:
    a new object of class 'Particle'.

### createXSDPatternFacet

    public XSDPatternFacet createXSDPatternFacet()

  Specified by:
    `createXSDPatternFacet` in interface `XSDFactory`
  Returns:
    a new object of class 'Pattern Facet'.

### createXSDRedefine

    public XSDRedefine createXSDRedefine()

  Specified by:
    `createXSDRedefine` in interface `XSDFactory`
  Returns:
    a new object of class 'Redefine'.

### createXSDSchema

    public XSDSchema createXSDSchema()

  Specified by:
    `createXSDSchema` in interface `XSDFactory`
  Returns:
    a new object of class 'Schema'.

### createXSDSimpleTypeDefinition

    public XSDSimpleTypeDefinition createXSDSimpleTypeDefinition()

  Specified by:
    `createXSDSimpleTypeDefinition` in interface `XSDFactory`
  Returns:
    a new object of class 'Simple Type Definition'.

### createXSDTotalDigitsFacet

    public XSDTotalDigitsFacet createXSDTotalDigitsFacet()

  Specified by:
    `createXSDTotalDigitsFacet` in interface `XSDFactory`
  Returns:
    a new object of class 'Total Digits Facet'.

### createXSDWhiteSpaceFacet

    public XSDWhiteSpaceFacet createXSDWhiteSpaceFacet()

  Specified by:
    `createXSDWhiteSpaceFacet` in interface `XSDFactory`
  Returns:
    a new object of class 'White Space Facet'.

### createXSDWildcard

    public XSDWildcard createXSDWildcard()

  Specified by:
    `createXSDWildcard` in interface `XSDFactory`
  Returns:
    a new object of class 'Wildcard'.

### createXSDXPathDefinition

    public XSDXPathDefinition createXSDXPathDefinition()

  Specified by:
    `createXSDXPathDefinition` in interface `XSDFactory`
  Returns:
    a new object of class 'XPath Definition'.

### createXSDAttributeUseCategoryFromString

    public XSDAttributeUseCategory createXSDAttributeUseCategoryFromString(EDataType eDataType,
                                                                           java.lang.String initialValue)

### convertXSDAttributeUseCategoryToString

    public java.lang.String convertXSDAttributeUseCategoryToString(EDataType eDataType,
                                                                   java.lang.Object instanceValue)

### createXSDCardinalityFromString

    public XSDCardinality createXSDCardinalityFromString(EDataType eDataType,
                                                         java.lang.String initialValue)

### convertXSDCardinalityToString

    public java.lang.String convertXSDCardinalityToString(EDataType eDataType,
                                                          java.lang.Object instanceValue)

### createXSDComplexFinalFromString

    public XSDComplexFinal createXSDComplexFinalFromString(EDataType eDataType,
                                                           java.lang.String initialValue)

### convertXSDComplexFinalToString

    public java.lang.String convertXSDComplexFinalToString(EDataType eDataType,
                                                           java.lang.Object instanceValue)

### createXSDCompositorFromString

    public XSDCompositor createXSDCompositorFromString(EDataType eDataType,
                                                       java.lang.String initialValue)

### convertXSDCompositorToString

    public java.lang.String convertXSDCompositorToString(EDataType eDataType,
                                                         java.lang.Object instanceValue)

### createXSDConstraintFromString

    public XSDConstraint createXSDConstraintFromString(EDataType eDataType,
                                                       java.lang.String initialValue)

### convertXSDConstraintToString

    public java.lang.String convertXSDConstraintToString(EDataType eDataType,
                                                         java.lang.Object instanceValue)

### createXSDContentTypeCategoryFromString

    public XSDContentTypeCategory createXSDContentTypeCategoryFromString(EDataType eDataType,
                                                                         java.lang.String initialValue)

### convertXSDContentTypeCategoryToString

    public java.lang.String convertXSDContentTypeCategoryToString(EDataType eDataType,
                                                                  java.lang.Object instanceValue)

### createXSDDerivationMethodFromString

    public XSDDerivationMethod createXSDDerivationMethodFromString(EDataType eDataType,
                                                                   java.lang.String initialValue)

### convertXSDDerivationMethodToString

    public java.lang.String convertXSDDerivationMethodToString(EDataType eDataType,
                                                               java.lang.Object instanceValue)

### createXSDDiagnosticSeverityFromString

    public XSDDiagnosticSeverity createXSDDiagnosticSeverityFromString(EDataType eDataType,
                                                                       java.lang.String initialValue)

### convertXSDDiagnosticSeverityToString

    public java.lang.String convertXSDDiagnosticSeverityToString(EDataType eDataType,
                                                                 java.lang.Object instanceValue)

### createXSDDisallowedSubstitutionsFromString

    public XSDDisallowedSubstitutions createXSDDisallowedSubstitutionsFromString(EDataType eDataType,
                                                                                 java.lang.String initialValue)

### convertXSDDisallowedSubstitutionsToString

    public java.lang.String convertXSDDisallowedSubstitutionsToString(EDataType eDataType,
                                                                      java.lang.Object instanceValue)

### createXSDFormFromString

    public XSDForm createXSDFormFromString(EDataType eDataType,
                                           java.lang.String initialValue)

### convertXSDFormToString

    public java.lang.String convertXSDFormToString(EDataType eDataType,
                                                   java.lang.Object instanceValue)

### createXSDIdentityConstraintCategoryFromString

    public XSDIdentityConstraintCategory createXSDIdentityConstraintCategoryFromString(EDataType eDataType,
                                                                                       java.lang.String initialValue)

### convertXSDIdentityConstraintCategoryToString

    public java.lang.String convertXSDIdentityConstraintCategoryToString(EDataType eDataType,
                                                                         java.lang.Object instanceValue)

### createXSDNamespaceConstraintCategoryFromString

    public XSDNamespaceConstraintCategory createXSDNamespaceConstraintCategoryFromString(EDataType eDataType,
                                                                                         java.lang.String initialValue)

### convertXSDNamespaceConstraintCategoryToString

    public java.lang.String convertXSDNamespaceConstraintCategoryToString(EDataType eDataType,
                                                                          java.lang.Object instanceValue)

### createXSDOrderedFromString

    public XSDOrdered createXSDOrderedFromString(EDataType eDataType,
                                                 java.lang.String initialValue)

### convertXSDOrderedToString

    public java.lang.String convertXSDOrderedToString(EDataType eDataType,
                                                      java.lang.Object instanceValue)

### createXSDProcessContentsFromString

    public XSDProcessContents createXSDProcessContentsFromString(EDataType eDataType,
                                                                 java.lang.String initialValue)

### convertXSDProcessContentsToString

    public java.lang.String convertXSDProcessContentsToString(EDataType eDataType,
                                                              java.lang.Object instanceValue)

### createXSDProhibitedSubstitutionsFromString

    public XSDProhibitedSubstitutions createXSDProhibitedSubstitutionsFromString(EDataType eDataType,
                                                                                 java.lang.String initialValue)

### convertXSDProhibitedSubstitutionsToString

    public java.lang.String convertXSDProhibitedSubstitutionsToString(EDataType eDataType,
                                                                      java.lang.Object instanceValue)

### createXSDSimpleFinalFromString

    public XSDSimpleFinal createXSDSimpleFinalFromString(EDataType eDataType,
                                                         java.lang.String initialValue)

### convertXSDSimpleFinalToString

    public java.lang.String convertXSDSimpleFinalToString(EDataType eDataType,
                                                          java.lang.Object instanceValue)

### createXSDSubstitutionGroupExclusionsFromString

    public XSDSubstitutionGroupExclusions createXSDSubstitutionGroupExclusionsFromString(EDataType eDataType,
                                                                                         java.lang.String initialValue)

### convertXSDSubstitutionGroupExclusionsToString

    public java.lang.String convertXSDSubstitutionGroupExclusionsToString(EDataType eDataType,
                                                                          java.lang.Object instanceValue)

### createXSDVarietyFromString

    public XSDVariety createXSDVarietyFromString(EDataType eDataType,
                                                 java.lang.String initialValue)

### convertXSDVarietyToString

    public java.lang.String convertXSDVarietyToString(EDataType eDataType,
                                                      java.lang.Object instanceValue)

### createXSDWhiteSpaceFromString

    public XSDWhiteSpace createXSDWhiteSpaceFromString(EDataType eDataType,
                                                       java.lang.String initialValue)

### convertXSDWhiteSpaceToString

    public java.lang.String convertXSDWhiteSpaceToString(EDataType eDataType,
                                                         java.lang.Object instanceValue)

### createXSDXPathVarietyFromString

    public XSDXPathVariety createXSDXPathVarietyFromString(EDataType eDataType,
                                                           java.lang.String initialValue)

### convertXSDXPathVarietyToString

    public java.lang.String convertXSDXPathVarietyToString(EDataType eDataType,
                                                           java.lang.Object instanceValue)

### createDOMAttrFromString

    public org.w3c.dom.Attr createDOMAttrFromString(EDataType eDataType,
                                                    java.lang.String initialValue)

### convertDOMAttrToString

    public java.lang.String convertDOMAttrToString(EDataType eDataType,
                                                   java.lang.Object instanceValue)

### createDOMDocumentFromString

    public org.w3c.dom.Document createDOMDocumentFromString(EDataType eDataType,
                                                            java.lang.String initialValue)

### convertDOMDocumentToString

    public java.lang.String convertDOMDocumentToString(EDataType eDataType,
                                                       java.lang.Object instanceValue)

### createDOMElementFromString

    public org.w3c.dom.Element createDOMElementFromString(EDataType eDataType,
                                                          java.lang.String initialValue)

### convertDOMElementToString

    public java.lang.String convertDOMElementToString(EDataType eDataType,
                                                      java.lang.Object instanceValue)

### createDOMNodeFromString

    public org.w3c.dom.Node createDOMNodeFromString(EDataType eDataType,
                                                    java.lang.String initialValue)

### convertDOMNodeToString

    public java.lang.String convertDOMNodeToString(EDataType eDataType,
                                                   java.lang.Object instanceValue)

### createValueFromString

    public java.lang.Object createValueFromString(EDataType eDataType,
                                                  java.lang.String initialValue)

### convertValueToString

    public java.lang.String convertValueToString(EDataType eDataType,
                                                 java.lang.Object instanceValue)

### getXSDPackage

    public XSDPackage getXSDPackage()

  Specified by:
    `getXSDPackage` in interface `XSDFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static XSDPackage getPackage()

  Deprecated.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.